<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <link href="style.css" rel="stylesheet" />
    <title>Challenge</title>
  </head>
  <body>
    <div class="all-content">
      <header class="top-header">
        <h1 class="heading-title">📘 The Code Magazine</h1>
        <nav class="top-links">
          <a href="#">Blog</a>
          <a href="#">Challenges</a>
          <a href="#">Css</a>
          <a href="#">Grid</a>
        </nav>
        <div class="clear"></div>
      </header>
      <header>
        <h2 class="h2">The Basic Language of the Web: HTML</h2>
        <img
          class="header-image"
          src="laura-jones.jpg"
          alt="Laura"
          title="laura_Image"
          width="50"
          height="50"
        />
        <p id="author">
          Posted by <strong>Laura Jones</strong> on Monday, June 21st 2027
        </p>
      </header>
      <article>
        <img src="post-img.jpg" alt="Code_image" width="500" height="200" />
        <p class="image-down">
          All modern websites and web applications are built using three
          <em>fundamental</em> technologies: HTML, CSS and JavaScript. These are
          the languages of the web.<br />
        </p>
        <p>
          In this post, let's focus on HTML. We will learn what HTML is all
          about, and why you too should learn it.
        </p>
        <h3>What is HTML?</h3>
        <p>
          HTML stands for <strong>H</strong>yper<strong>T</strong>ext
          <strong>M</strong>arkup <strong>L</strong>anguage. It's a markup
          language that web developers use to structure and describe the content
          of a webpage (not a programming language).
        </p>
        <p>
          HTML consists of elements that describe different types of content:
          paragraphs, links, headings, images, video, etc. Web browsers
          understand HTML and render HTML code as websites.
        </p>
        <p>In HTML, each element is made up of 3 parts:</p>
        <ol>
          <li>The opening tag</li>
          <li>The closing tag</li>
          <li>The actual element</li>
        </ol>
        <p>
          You can learn more at the
          <a href=" https://developer.mozilla.org/en-US/" target="_blank"
            >MDN Web Docs.</a
          >
        </p>
        <h3>Why should you learn HTML?</h3>
        <p>
          There are countless reasons for learning the fundamental language of
          the web. Here are 5 of them:
        </p>
        <ul>
          <li>To be able to use the fundamental web dev language</li>
          <li>
            To hand-craft beautiful websites instead of relying on tools like
            Worpress or Wix To build web applications
          </li>
          <li>To impress friends</li>
          <li>To have fun 😃</li>
        </ul>
        <p>Hopefully you learned something new here. See you next time!</p>
        <aside>
          <h4><b>Related Post's</b></h4>
          <ul class="authorimage">
            <li>
              <img
                src="related-1.jpg"
                alt="system operator"
                title="person"
                width="50"
                height="50"
              />
              <a href=" https://developer.mozilla.org/en-US/" target="_blank"
                >MDN Web Docs.</a
              >
            </li>
            <p class="related-author">By Hari</p>
            <li>
              <img
                src="related-2.jpg"
                alt=" thunder"
                title="thunder_image"
                width="50"
                height="50"
              />
              <a
                href="https://web.dev/the-amazing-powers-of-css/"
                target="_blank"
                >Rules For CSS</a
              >
            </li>
            <p class="related-author">By Balaji</p>
            <li>
              <img
                src="related-3.jpg"
                alt=" coding"
                title="Coding_image"
                width="50"
                height="50"
              />
              <a href="https://github.com/sorrycc/awesome-javascript"
                >Java Script Topic's</a
              >
            </li>
            <p class="related-author">By periyasamy</p>
          </ul>
        </aside>
      </article>
      <footer>
        <p id="Copyright">Copyright &copy; 1957 by the Lura Bee</p>
      </footer>
    </div>
  </body>
</html>
